package com.za.common.util

import android.content.Context
import android.media.MediaPlayer
import com.za.servicing.R

object ServicingSpeechManager {
    private var mediaPlayer: MediaPlayer? = null

    // 提醒客户签字
    fun playOrderCustomSign(mContext: Context) {
        mediaPlayer = MediaPlayer.create(mContext, R.raw.custom_sign)
        mediaPlayer?.start()
    }


    // 提醒接车人签字
    fun playOrderAcceptSign(mContext: Context) {
        mediaPlayer = MediaPlayer.create(mContext, R.raw.accept_sign)
        mediaPlayer?.start()
    }

    // 车主签字
    fun playCarOwnerSign(mContext: Context) {
        mediaPlayer = MediaPlayer.create(mContext, R.raw.car_onwer_sign)
        mediaPlayer?.start()
    }

    // 提醒五星好评
    fun playOrderGoodService(mContext: Context) {
        mediaPlayer = MediaPlayer.create(mContext, R.raw.good_star)
        mediaPlayer?.start()
    }

    //提醒客户不需要再上传纸质工单
    fun playNoUploadEleOrderWork(mContext: Context) {
        mediaPlayer = MediaPlayer.create(mContext, R.raw.no_upload_ele_order_work)
        mediaPlayer?.start()
    }


    // 发车前提示
    fun playStartTip(mContext: Context) {
        mediaPlayer = MediaPlayer.create(mContext, R.raw.start_tip)
        mediaPlayer?.start()
    }

    // 验车前提示
    fun playCheckTip(mContext: Context) {
        mediaPlayer = MediaPlayer.create(mContext, R.raw.check_tip)
        mediaPlayer?.start()
    }
}